Package org.springframework.cglib.proxy

# Class CallbackHelper

java.lang.Object
org.springframework.cglib.proxy.CallbackHelper

All Implemented Interfaces:
  `CallbackFilter`

public abstract class CallbackHelper extends Object implements CallbackFilter

## Constructor Summary

Constructors
Constructor
Description
`CallbackHelper(Class superclass, Class[] interfaces)`

## Method Summary

Modifier and Type
Method
Description
`int`
`accept(Method method)`
Map a method to a callback.
`boolean`
`equals(Object o)`
The `CallbackFilter` in use affects which cached class the `Enhancer` will use, so this is a reminder that you should correctly implement `equals` and `hashCode` for custom `CallbackFilter` implementations in order to improve performance.
`protected abstract Object`
`getCallback(Method method)`
`Callback[]`
`getCallbacks()`
`Class[]`
`getCallbackTypes()`
`int`
`hashCode()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### CallbackHelper

public CallbackHelper(Class superclass, Class[] interfaces)

## Method Details

### getCallback

protected abstract Object getCallback(Method method)

### getCallbacks

public Callback[] getCallbacks()

### getCallbackTypes

public Class[] getCallbackTypes()

### accept

public int accept(Method method)
Description copied from interface: `CallbackFilter`
Map a method to a callback.

Specified by:
  `accept` in interface `CallbackFilter`
Parameters:
  `method` - the intercepted method
Returns:
  the index into the array of callbacks (as specified by `Enhancer.setCallbacks(org.springframework.cglib.proxy.Callback[])`) to use for the method,

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### equals

public boolean equals(Object o)
Description copied from interface: `CallbackFilter`
The `CallbackFilter` in use affects which cached class the `Enhancer` will use, so this is a reminder that you should correctly implement `equals` and `hashCode` for custom `CallbackFilter` implementations in order to improve performance.

Specified by:
  `equals` in interface `CallbackFilter`
Overrides:
  `equals` in class `Object`